# Generated by Django 4.0.2 on 2022-02-21 10:14

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Project",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(max_length=64, unique=True, verbose_name="Name"),
                ),
                (
                    "managers",
                    models.ManyToManyField(
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Managers",
                    ),
                ),
                (
                    "members",
                    models.ManyToManyField(
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Members",
                    ),
                ),
            ],
        ),
    ]
